Skip to content
GET /unified/usage-metering/users

Query Parameters

Refer Specifying query parameters in Truto APIs

datestring

Date to retrieve per-user activity for, in YYYY-MM-DD format. Defaults to three days ago when omitted.

1 supported
Claude
supported
limitnumber
2 supported2 notes
Claude
supported

Maximum number of records to return. Defaults to 100 when omitted.

OpenAI Codex
supported

Page size (1-100). Defaults to 100 when omitted.

cursorstring
2 supported2 notes
Claude
supported

Pagination cursor from the previous response.

OpenAI Codex
supported

Pagination cursor from the previous response (mapped to OpenAI's after param).

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

debugobject

Present only when truto_response_format=debug. Contains raw fetch details: requestUrl, requestOptions, data, responseHeaders, nextCursor, isLooping, isEmptyResult, resultCount. null for static responses or when truto_skip_api_call=true.

data
isEmptyResultboolean
isLoopingboolean
nextCursorstring
requestOptionsRecord<string, any>
requestUrlstring
responseHeadersRecord<string, any>
resultCountnumber
next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Users

idstring
required·

Unique identifier for the user inside the source application.

3 supported
Claude
supported
OpenAI Codex
supported
Cursor
supported
namestring
required·

Display name of the user.

3 supported
Claude
supported
OpenAI Codex
supported
Cursor
supported
created_atstring · date-time
1 supported
OpenAI Codex
supported
emailsobject[]

Email addresses of the user.

3 supported
Claude
supported
OpenAI Codex
supported
Cursor
supported
2 properties
emailstring

Email address.

is_primaryboolean

Whether this is the primary email.

first_namestring

The first name of the user

last_active_atstring · date-time
1 supported
Claude
supported
last_namestring

The last name of the user

organizationobject

The organization / team / workspace the user belongs to.

2 properties
idstring
namestring
remote_dataRecord<string, any>

Raw data returned from the remote API call.

rolesobject[]

The roles the user has.

2 supported
OpenAI Codex
supported
Cursor
supported
2 properties
idstring

The role's unique identifier.

namestring

The role's name.

spend_limitobject

Per-user spending limit configured in the source application.

2 properties
amountnumber

Spending limit amount (smallest currency unit).

currencystring

ISO 4217 currency code.

statusstring

The status of the user. If no clear mapping is available, then the raw value is returned.

Possible values:
activeinactivedeletedinvited
3 supported
Claude
supported
OpenAI Codex
supported
Cursor
supported
updated_atstring · date-time
truto unified usage-metering users \
  -a '<integrated_account_id>' \
  -o json
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'usage-metering',
  'users',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "usage-metering",
        "users",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())
curl -X GET 'https://api.truto.one/unified/usage-metering/users?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/usage-metering/users?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/usage-metering/users"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())